Package weka.classifiers.trees.j48

# Class BinC45ModelSelection

java.lang.Object
weka.classifiers.trees.j48.ModelSelection
weka.classifiers.trees.j48.BinC45ModelSelection

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class BinC45ModelSelection extends ModelSelection
Class for selecting a C4.5-like binary (!) split for a given dataset.

Version:
  $Revision: 10531 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BinC45ModelSelection(int minNoObj, Instances allData, boolean useMDLcorrection, boolean doNotMakeSplitPointActualValue)`
  Initializes the split selection method with the given parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup()`
  Sets reference to training data to null.
  `String`
  `getRevision()`
  Returns the revision string.
  `final ClassifierSplitModel`
  `selectModel(Instances data)`
  Selects C4.5-type split for the given dataset.
  `final ClassifierSplitModel`
  `selectModel(Instances train, Instances test)`
  Selects C4.5-type split for the given dataset.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BinC45ModelSelection

    public BinC45ModelSelection(int minNoObj, Instances allData, boolean useMDLcorrection, boolean doNotMakeSplitPointActualValue)
    Initializes the split selection method with the given parameters.
    Parameters:
      `minNoObj` - minimum number of instances that have to occur in at least two subsets induced by split
      `allData` - FULL training dataset (necessary for selection of split points).
      `useMDLcorrection` - whether to use MDL adjustement when finding splits on numeric attributes

- ## Method Details

  - ### cleanup

    public void cleanup()
    Sets reference to training data to null.

  - ### selectModel

    public final ClassifierSplitModel selectModel(Instances data)
    Selects C4.5-type split for the given dataset.
    Specified by:
      `selectModel` in class `ModelSelection`

  - ### selectModel

    public final ClassifierSplitModel selectModel(Instances train, Instances test)
    Selects C4.5-type split for the given dataset.
    Overrides:
      `selectModel` in class `ModelSelection`

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Returns:
      the revision